AccessSharePromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes

int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
UplinkAccess | access
UplinkAccessResult | access_Result
int64_t | SharePrefixSize
UplinkSharePrefix * | SharePrefixListPointer
UplinkPermission | permission

## Member Data Documentation

## access

UplinkAccess AccessSharePromiseObj::access

## access_Result

UplinkAccessResult AccessSharePromiseObj::access_Result

## async_action_status

int AccessSharePromiseObj::async_action_status

## deferred

napi_deferred AccessSharePromiseObj::deferred

## permission

UplinkPermission AccessSharePromiseObj::permission

## result

napi_value AccessSharePromiseObj::result

## SharePrefixListPointer

UplinkSharePrefix* AccessSharePromiseObj::SharePrefixListPointer

## SharePrefixSize

int64_t AccessSharePromiseObj::SharePrefixSize

## work

napi_async_work AccessSharePromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h